<!DOCTYPE html>
<!--
    Andriy Andrusevych
    IT Generation
    FrontEnd homework
-->
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>TABs</title>
    <style>
        .tabTitle {
            padding: 5px 20px;
            border: 1px solid black;
            margin: 0 5px;
            border-bottom: 1px solid white;
            border-radius: 7px 7px 0 0;
            cursor: pointer;

        }

        .tabHeader {
            display: flex;
        }

        .tabText {
            display: none;
        }

        .showTabText {
            display: block;
        }

        .hideTabTitle {
            background-color: grey;
            border-bottom: 1px solid black;
            color: white;
        }

        .tabContents {
            height: 50vh;
            border-top: 1px solid black;
            padding: 10px;
            margin-top: -1px;

        }
    </style>

</head>

<body>
    <div class="main">
        <div class="tabHeader">
            <div class="tabTitle">Tab 1</div>
            <div class="tabTitle hideTabTitle">Tab 2</div>
            <div class="tabTitle hideTabTitle">Tab 3</div>
        </div>
        <div class="tabContents">

            <div class="tabText showTabText"> (TEXT 1) Lorem ipsum dolor sit amet consectetur adipisicing elit. In aliquid,
                consequuntur harum nesciunt accusantium nihil sequi ex enim facilis necessitatibus, architecto hic iusto
                quisquam velit similique vitae veritatis quidem animi. Lorem ipsum dolor sit amet consectetur
                adipisicing elit. Deserunt maxime, perferendis in temporibus voluptas perspiciatis natus totam saepe
                consectetur ex dolorum illo fugit blanditiis odio quibusdam hic dolore adipisci. Aliquam.</div>
            <div class="tabText"> (TEXT 2) Lorem ipsum dolor sit amet consectetur adipisicing elit. Aut laudantium, voluptatum
                perspiciatis eum ipsam cum minima architecto possimus accusamus natus ducimus recusandae sit praesentium
                quaerat vitae eveniet sunt veniam? Officia. Lorem ipsum dolor sit amet consectetur adipisicing elit.
                Deserunt maxime, perferendis in temporibus voluptas perspiciatis natus totam saepe consectetur ex
                dolorum illo fugit blanditiis odio quibusdam hic dolore adipisci. Aliquam.</div>
            <div class="tabText">(TEXT 3) Lorem ipsum dolor sit amet, consectetur adipisicing elit. Tempore eveniet quidem neque
                consequatur maxime porro, iure quam ea! Enim, soluta repellendus minus hic dignissimos inventore.
                Asperiores debitis cumque modi fuga! Lorem ipsum dolor sit amet consectetur adipisicing elit. Deserunt
                maxime, perferendis in temporibus voluptas perspiciatis natus totam saepe consectetur ex dolorum illo
                fugit blanditiis odio quibusdam hic dolore adipisci. Aliquam.</div>
        </div>

    </div>

    </div>
    <script>
        var tabTextSelect = document.querySelectorAll('.tabText')
        var tabSelect = document.querySelectorAll('.tabTitle');
    

        for (var i = 0; i < tabSelect.length; i++) {
            tabSelect[i].addEventListener('click', showTabContent);
        }

        function showTabContent() {
            
            for (var i = 0; i < tabSelect.length; i++) {
                if (tabSelect[i].classList.contains('hideTabTitle')){
                    continue;
                }else{
                tabSelect[i].classList.add('hideTabTitle');}
            }
            this.classList.remove('hideTabTitle');
            for (var j=0; j<tabTextSelect.length; j++){
                if (tabSelect[j].classList.contains('hideTabTitle')){
                    tabTextSelect[j].classList.remove('showTabText');
                    continue;
                }else{
                    tabTextSelect[j].classList.add('showTabText');
                }
            }
        }
    </script>
</body>

</html>